import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { Community, CommunitySectionLink } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class CommunityHeaderComponent implements OnInit, OnChanges {
    isLoggedIn: boolean;
    hasJoinedCommunity: boolean;
    community: Community;
    communitySubtitle: string;
    isMobile: boolean;
    communitySectionLinks: CommunitySectionLink[];
    showBack: boolean;
    showCommunityBreadcrumb: boolean;
    showTopicBreadcrumb: boolean;
    post: EventEmitter<void>;
    join: EventEmitter<void>;
    toggleMobileResourcesView: EventEmitter<void>;
    back: EventEmitter<void>;
    joinButtonText: string;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    setJoinButtonText(): void;
    onPost(): void;
    onJoin(): void;
    onToggleMobileResourcesView(): void;
    onGoBack(): void;
    static ɵfac: i0.ɵɵFactoryDef<CommunityHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<CommunityHeaderComponent, "ins-community-header", never, { "isLoggedIn": "isLoggedIn"; "hasJoinedCommunity": "hasJoinedCommunity"; "community": "community"; "communitySubtitle": "communitySubtitle"; "isMobile": "isMobile"; "communitySectionLinks": "communitySectionLinks"; "showBack": "showBack"; "showCommunityBreadcrumb": "showCommunityBreadcrumb"; "showTopicBreadcrumb": "showTopicBreadcrumb"; }, { "post": "post"; "join": "join"; "toggleMobileResourcesView": "toggleMobileResourcesView"; "back": "back"; }, never, never>;
}
